#ifndef PW_VISUAL_MESH_RENDERER_HPP
#define PW_VISUAL_MESH_RENDERER_HPP

#include <map>
#include <memory>

namespace paradiso {
struct Sprite;

/**
 * @brief a Renderer2D for sprites
 */
struct Renderer final {

    Renderer();
    ~Renderer();
    Renderer(const Renderer&) = delete;

    bool draw(const Sprite& m);

    bool ready() const;

  private:
    struct impl;
    std::unique_ptr<impl> impl_;
};

} // namespace paradiso

#endif
